#ifndef LINEARIZATION_H
#define LINEARIZATION_H

// Class which handles the actual parameters and application of the linearization model.

#include "support/configdb.h"

class ImageSource;
class Linearization : public ConfigDB
{
	public:
	Linearization(ConfigFile *file);
	~Linearization();
	ImageSource *Apply(ImageSource *source);
	protected:
	static ConfigTemplate Template[];
};

#endif

