#include <iostream>

#include "linearizedprinter.h"

using namespace std;

LinearizedPrinter::LinearizedPrinter(PrintOutput &output,ConfigFile *inf,const char *section)
	: GPrinter(output,inf,section), linearization(inf)
{
}


LinearizedPrinter::~LinearizedPrinter()
{
}


void LinearizedPrinter::Print(ImageSource *source,int xpos,int ypos)
{
	source=linearization.Apply(source);
	GPrinter::Print(source,xpos,ypos);
}

