#ifndef LINEARIZEDPRINTER_H
#define LINEARIZEDPRINTER_H

// Subclass of GPrinter - applies the linearization to the provided image before printing.

#include "gp_cppsupport/gprinter.h"

#include "linearization.h"

class ImageSource;
class LinearizedPrinter : public GPrinter
{
	public:
	LinearizedPrinter(PrintOutput &output,ConfigFile *inf,const char *section);
	~LinearizedPrinter();
	void Print(ImageSource *source,int xpos,int ypos);
	Linearization linearization;
	protected:
};

#endif

