#ifndef STEPWIDGET_BaseGamma
#define STEPWIDGET_BaseGamma

#include <gtk/gtk.h>

#include "support/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_BaseGamma : public StepWidget
{
	public:
	StepWidget_BaseGamma(ProjectGUI *gui);
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	void Print();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	protected:
	GPColorantList colorants;
	GtkWidget *papersize;
	GtkWidget *initialgamma;
	GtkWidget *colorantsel;
	GtkWidget *correctedgamma;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(BaseGamma);

#endif

