#include <stdio.h>
#include <iostream>

#include <gutenprint/gutenprint.h>

#include "imagesource/imagesource_devicen_preview.h"

#include "gpdevicensupport.h"

using namespace std;

int main(int argc,char **argv)
{
	stp_init();

	const char *driver="escp2-r285";
	if(argc>1)
		driver=argv[1];
	
	stp_vars_t *v=stp_vars_create();
	const stp_vars_t *defaults=stp_default_settings();
	stp_vars_copy(v,defaults);

	cerr << "Using driver: " << driver << endl;
	stp_set_driver(v,driver);
	const stp_printer_t *printer=stp_get_printer(v);
	if(printer)
	{
		cerr << "Setting defaults" << endl;
		stp_set_printer_defaults(v,printer);
		GPColorantList colorants(v);
	}
	stp_vars_destroy(v);
	return(0);
}
